### A free/open-source library for quantitative finance

Public Member Functions
Schedule Class Reference
Date and time calculations

Payment schedule. More...

`#include <ql/time/schedule.hpp>`

List of all members.

## Public Member Functions

| Schedule (const std::vector< Date > &, const Calendar &calendar=NullCalendar(), BusinessDayConvention convention=Unadjusted)
| Schedule (Date effectiveDate, const Date &terminationDate, const Period &tenor, const Calendar &calendar, BusinessDayConvention convention, BusinessDayConvention terminationDateConvention, DateGeneration::Rule rule, bool endOfMonth, const Date &firstDate=Date(), const Date &nextToLastDate=Date())
Date access
Size | size () const
const Date & | operator[] (Size i) const
const Date & | at (Size i) const
const Date & | date (Size i) const
Date | previousDate (const Date &refDate) const
Date | nextDate (const Date &refDate) const
const std::vector< Date > & | dates () const
bool | isRegular (Size i) const
Other inspectors
bool | empty () const
const Calendar & | calendar () const
const Date & | startDate () const
const Date & | endDate () const
const Period & | tenor () const
BusinessDayConvention | businessDayConvention () const
BusinessDayConvention | terminationDateBusinessDayConvention () const
DateGeneration::Rule | rule () const
bool | endOfMonth () const
Utilities
Schedule | until (const Date &truncationDate) const
| truncated schedule

## Iterators

typedef std::vector< Date > ::const_iterator | const_iterator
const_iterator | begin () const
const_iterator | end () const
const_iterator | lower_bound (const Date &d=Date()) const

## Detailed Description

Payment schedule.

Examples:
  BermudanSwaption.cpp, Bonds.cpp, CallableBonds.cpp, CDS.cpp, ConvertibleBonds.cpp, FittedBondCurve.cpp, Repo.cpp, and swapvaluation.cpp.